Commit fab816f0 authored by Antonio J. Pena's avatar Antonio J. Pena Committed by Pavan Balaji
Browse files

Patch libtool.m4 after every autoreconf and fix timestamp.



Fixes ticket #1870.
Signed-off-by: Pavan Balaji's avatarPavan Balaji <balaji@mcs.anl.gov>
parent a7ea4b9b
......@@ -903,28 +903,26 @@ if [ "$do_build_configure" = "yes" ] ; then
echo "------------------------------------------------------------------------"
echo "running $autoreconf in $amdir"
(cd $amdir && $autoreconf $autoreconf_args) || exit 1
# Patching libtool.m4
# This works with libtool versions 2.4 - 2.4.2.
# Older versions are not supported to build mpich.
# Newer versions should have this patch already included.
# There is no need to patch if we're not going to use Fortran.
if [ $do_bindings = "yes" ] ; then
if [ -f $amdir/confdb/libtool.m4 ] ; then
echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
patch --forward -s -l $amdir/confdb/libtool.m4 maint/libtool.m4.patch
if [ $? -eq 0 ] ; then
echo "done"
# Remove possible leftovers, which don't imply a failure
rm -f $amdir/confdb/libtool.m4.orig
# Reset libtool.m4 timestamps to avoid confusing make
touch $amdir/confdb/libtool.m4 -r $amdir/confdb/ltversion.m4
else
echo "failed"
fi
fi
fi
fi
done
fi
########################################################################
## Patching libtool.m4
########################################################################
# This works with libtool versions 2.4 - 2.4.2.
# Older versions are not supported to build mpich.
# Newer versions should have this patch already included.
# There is no need to patch if we're not going to use Fortran.
if [ $do_bindings = "yes" ] ; then
echo "------------------------------------------------------------------------"
echo
echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
patch --forward -p0 -s -l < maint/libtool.m4.patch
rm -f confdb/libtool.m4.orig
if [ $? -eq 0 ] ; then
echo "done"
else
echo "failed"
exit 1
fi
fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment